Package uk.ac.starlink.vo

## Interface RegResource

- All Known Implementing Classes:
    `VORegResource`

      public interface RegResource

  Basic details of a registry resource record. This is an intentionally rather flattened and truncated version of the information which can be stored in a registry record (at time of writing VOResource 1.0).
  Since:
    17 Dec 2008
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RegCapabilityInterface[]` | `getCapabilities​()` | Returns an array of capability interfaces for this resource.
    `java.lang.String` | `getContact​()` | Returns the contact information for this resource.
    `java.lang.String` | `getIdentifier​()` | Returns the resource unique identifier.
    `java.lang.String` | `getPublisher​()` | Returns the resource publisher.
    `java.lang.String` | `getReferenceUrl​()` | Returns the reference URL for this resource.
    `java.lang.String` | `getShortName​()` | Returns the resource short name.
    `java.lang.String[]` | `getSubjects​()` | Returns a list of subject areas relevant to this resource.
    `java.lang.String` | `getTitle​()` | Returns the resource title.

- - ### Method Detail

    - #### getTitle

          java.lang.String getTitle​()

      Returns the resource title.
      Returns:
        title

    - #### getShortName

          java.lang.String getShortName​()

      Returns the resource short name.
      Returns:
        short name

    - #### getIdentifier

          java.lang.String getIdentifier​()

      Returns the resource unique identifier. This is a URI of the form `ivo://authority/path`.
      Returns:
        identifier

    - #### getPublisher

          java.lang.String getPublisher​()

      Returns the resource publisher.
      Returns:
        publisher

    - #### getContact

          java.lang.String getContact​()

      Returns the contact information for this resource.
      Returns:
        contact info

    - #### getSubjects

          java.lang.String[] getSubjects​()

      Returns a list of subject areas relevant to this resource.
      Returns:
        subject words

    - #### getReferenceUrl

          java.lang.String getReferenceUrl​()

      Returns the reference URL for this resource.
      Returns:
        reference URL

    - #### getCapabilities

          RegCapabilityInterface[] getCapabilities​()

      Returns an array of capability interfaces for this resource. Very often there is only one (or zero) of these per resource, but there can be many.
      Returns:
        capabilities

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.